/** 
 *   Copyright 2008 Olivian Daniel Tofan
 * 
 *   This file is part of WLPGZenphotoPlugin.
 *
 *   WLPGZenphotoPlugin is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Foobar is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Xml;

namespace WLPGZenphotoPlugin
{
    internal partial class StatusForm : Form
    {
        public static void DisplayResults(IWin32Window parent, XmlDocument sessionXml)
        {
            StatusForm sf = new StatusForm();
            sf.sessionXml = sessionXml;
            sf.ShowDialog(parent);
        }

        // Implementation

        private XmlDocument sessionXml;

        private StatusForm()
        {
            InitializeComponent();
        }

        private void StatusForm_Load(object sender, EventArgs e)
        {
            List<string> log;
            XmlHelper.SessionLoadLog(this.sessionXml, out log);
            this.infoTextBox.Text = string.Join("\r\n", log.ToArray());
        }
    }
}
